--- title: Delete a subscription with the Notification API slug: '21' canonical_url: https://docs.coveo.com/en/21/ collection: manage-an-organization source_format: adoc --- # Delete a subscription with the Notification API Since the number allowed user and administrator [subscriptions](https://docs.coveo.com/en/248/) in a [Coveo organization](https://docs.coveo.com/en/185/) is limited, you may want to clean up disabled or unhealthy subscriptions from time to time. Use the [Delete a subscription for organization](https://platform.cloud.coveo.com/docs?urls.primaryName=Notification#/Subscription/rest_organizations_paramId_subscriptions_paramId_delete) operation to delete an administrator subscription, or use the [Delete a subscription for the current user](https://platform.cloud.coveo.com/docs?urls.primaryName=Notification#/Subscription/rest_organizations_paramId_subscriptions_me_paramId_delete) operation to delete a user subscription. **Request template** ```http DELETE https://platform.cloud.coveo.com/rest/organizations//subscriptions/ HTTP/1.1 or DELETE https://platform.cloud.coveo.com/rest/organizations//subscriptions/me/ Accept: application/json Authorization: Bearer ``` Use the `+https://platform.cloud.coveo.com/rest/organizations//subscriptions+` request path to delete an administrator subscription. Use the `+https://platform.cloud.coveo.com/rest/organizations//subscriptions/me+` request path to delete a user subscription. In the selected request path: * Replace `` with your [organization ID](https://docs.coveo.com/en/148/). * Replace `` with the ID of the subscription to delete. In the `Authorization` HTTP header: * If you're deleting an administrator subscription, replace `` with a Coveo access token that grants you the **Subscriptions - Edit** [privilege](https://docs.coveo.com/en/228/) in the target Coveo organization. * If you're deleting a user subscription, replace `` with a Coveo access token that grants you the **Activities - View** privilege in the target Coveo organization. In either case, see [Get your Coveo access token](https://docs.coveo.com/en/123/) and [Get the privileges of an access token](https://docs.coveo.com/en/109/) for details. > **Note** > > It's impossible to authenticate either of these calls using an API key, since the service needs to be able to retrieve an email address from the access token in order to delete the subscription. The body of a successful response (`204 No Content`) has no content, but indicates that the subscription has been successfully deleted in the target Coveo organization, if not already done. ## Sample request **Deleting an administrator subscription** ```http DELETE https://platform.cloud.coveo.com/rest/organizations/mycoveocloudv2organizationg8tp8wu3/subscriptions/vr5h2iu3xp3sifbptrxovc2mkq HTTP/1.1 Accept: application/json Authorization: Bearer **********-****-****-****-************ ``` **Successful response - 204 No Content** ```json {} ```